#include<stdio.h>
#include<stdlib.h>

int main()
{
	int n,x;
	scanf("%d%d",&n,&x);
	int a[n];
	scanf("%d",&a[0]);
	int i,min=a[0],max=a[0],d;
	for(i=1;i<n;i++)
	{   scanf("%d",&a[i]);
		if(max<a[i])
		   max=a[i];
		if(min>a[i])
		   min=a[i];
        		
	}
	if(abs(min-x)<abs(max-x))
	
	d=abs(min-x);
	else
	d=abs(max-x);
	d=d+max-min;
	printf("%d",d);
}